package Alex.WifiTest;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "Alex.WifiTest", "Alex.WifiTest.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "Alex.WifiTest", "Alex.WifiTest.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "Alex.WifiTest.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
//        try {
//            if (processBA.subExists("activity_actionbarhomeclick")) {
//                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
//                    getClass().getMethod("getActionBar").invoke(this), true);
//                BA.Log("adding event");
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
		return true;
	}   
// @Override
// public boolean onOptionsItemSelected(android.view.MenuItem item) {
//    if (item.getItemId() == 16908332) {
//        processBA.raiseEvent(null, "activity_actionbarhomeclick");
//        return true;
//    }
//    else
//        return super.onOptionsItemSelected(item); 
//}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _timer1 = null;
public com.AB.ABWifi.ABWifi _mywifi = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext4 = null;
public static boolean _r = false;
public static boolean _s = false;
public static int _a = 0;
public com.AB.ABWifi.ABWifi.ABFoundLocation _reslocation = null;
public anywheresoftware.b4a.objects.LabelWrapper _l1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l5 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _t1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _t2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _t3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblcurrentwifiinfo = null;
public anywheresoftware.b4a.objects.LabelWrapper _wifinetwork = null;
  public Object[] GetGlobals() {
		return new Object[] {"a",_a,"Activity",mostCurrent._activity,"Button1",mostCurrent._button1,"Button2",mostCurrent._button2,"Button3",mostCurrent._button3,"EditText1",mostCurrent._edittext1,"EditText2",mostCurrent._edittext2,"EditText3",mostCurrent._edittext3,"EditText4",mostCurrent._edittext4,"l1",mostCurrent._l1,"l2",mostCurrent._l2,"l3",mostCurrent._l3,"l4",mostCurrent._l4,"l5",mostCurrent._l5,"LblCurrentWifiInfo",mostCurrent._lblcurrentwifiinfo,"myWifi",mostCurrent._mywifi,"r",_r,"ResLocation",mostCurrent._reslocation,"s",_s,"T1",mostCurrent._t1,"T2",mostCurrent._t2,"T3",mostCurrent._t3,"timer1",_timer1,"WifiNetwork",mostCurrent._wifinetwork};
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public static String  _activity_create(boolean _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent,47);
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 47;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 49;BA.debugLine="Activity.LoadLayout(\"1\")";
Debug.ShouldStop(65536);
mostCurrent._activity.LoadLayout("1",mostCurrent.activityBA);
 BA.debugLineNum = 60;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent,66);
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 66;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(2);
 BA.debugLineNum = 68;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent,62);
 BA.debugLineNum = 62;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 64;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _button1_click() throws Exception{
try {
		Debug.PushSubsStack("Button1_Click (main) ","main",0,mostCurrent.activityBA,mostCurrent,70);
 BA.debugLineNum = 70;BA.debugLine="Sub Button1_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 71;BA.debugLine="Dim r,s As Boolean";
Debug.ShouldStop(64);
_r = false;
_s = false;
 BA.debugLineNum = 72;BA.debugLine="Dim a As Int";
Debug.ShouldStop(128);
_a = 0;
 BA.debugLineNum = 73;BA.debugLine="s = myWifi.ABGetLocation(\"myWifi\")";
Debug.ShouldStop(256);
_s = mostCurrent._mywifi.ABGetLocation(processBA,"myWifi");
 BA.debugLineNum = 77;BA.debugLine="r = myWifi.ABLoadWifi()";
Debug.ShouldStop(4096);
_r = mostCurrent._mywifi.ABLoadWifi(processBA);
 BA.debugLineNum = 80;BA.debugLine="If r = True Then     '  PUT A BREAK POINT";
Debug.ShouldStop(32768);
if (_r==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 82;BA.debugLine="l1.Text=myWifi.ABGetCurrentWifiInfo().SSID    '  NOT DATA";
Debug.ShouldStop(131072);
mostCurrent._l1.setText((Object)(mostCurrent._mywifi.ABGetCurrentWifiInfo().SSID));
 BA.debugLineNum = 83;BA.debugLine="l2.Text=\"Number of available networks: \" & myWifi.ABNumberOfAvailableWifiNetworks  '   DATA OK";
Debug.ShouldStop(262144);
mostCurrent._l2.setText((Object)("Number of available networks: "+BA.ObjectToString(mostCurrent._mywifi.ABNumberOfAvailableWifiNetworks())));
 BA.debugLineNum = 85;BA.debugLine="For a = 0 To myWifi.ABNumberOfAvailableWifiNetworks - 1";
Debug.ShouldStop(1048576);
{
final int step40 = 1;
final int limit40 = (int) ((double)(BA.ObjectToNumber(mostCurrent._mywifi.ABNumberOfAvailableWifiNetworks()))-1);
for (_a = (int) (0); (step40 > 0 && _a <= limit40) || (step40 < 0 && _a >= limit40); _a = ((int)(0 + _a + step40))) {
 BA.debugLineNum = 87;BA.debugLine="l3.Text = myWifi.ABGetCurrentWifiInfo().SSID    '  NOT DATA";
Debug.ShouldStop(4194304);
mostCurrent._l3.setText((Object)(mostCurrent._mywifi.ABGetCurrentWifiInfo().SSID));
 BA.debugLineNum = 88;BA.debugLine="l4.Text= myWifi.ABGetWifiNetwork(a).SSID & \" \" & myWifi.ABGetWifiNetwork(a).Level   '  DATA OK";
Debug.ShouldStop(8388608);
mostCurrent._l4.setText((Object)(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).SSID+" "+BA.ObjectToString(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).Level)));
 BA.debugLineNum = 89;BA.debugLine="l5.Text=ResLocation.Latitude & \" - \" & ResLocation.Longitude   '  DATA OK";
Debug.ShouldStop(16777216);
mostCurrent._l5.setText((Object)(BA.NumberToString(mostCurrent._reslocation.Latitude)+" - "+BA.NumberToString(mostCurrent._reslocation.Longitude)));
 }
};
 }else {
 BA.debugLineNum = 95;BA.debugLine="If myWifi.ABWifiLastError() <> \"\" Then";
Debug.ShouldStop(1073741824);
if ((mostCurrent._mywifi.ABWifiLastError()).equals("") == false) { 
 BA.debugLineNum = 96;BA.debugLine="Msgbox (myWifi.ABWifiLastError(), \"\")";
Debug.ShouldStop(-2147483648);
anywheresoftware.b4a.keywords.Common.Msgbox(mostCurrent._mywifi.ABWifiLastError(),"",mostCurrent.activityBA);
 }else {
 BA.debugLineNum = 98;BA.debugLine="Msgbox (\"Unknown error\", \"\")";
Debug.ShouldStop(2);
anywheresoftware.b4a.keywords.Common.Msgbox("Unknown error","",mostCurrent.activityBA);
 };
 };
 BA.debugLineNum = 102;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _button2_click() throws Exception{
try {
		Debug.PushSubsStack("Button2_Click (main) ","main",0,mostCurrent.activityBA,mostCurrent,104);
 BA.debugLineNum = 104;BA.debugLine="Sub Button2_Click";
Debug.ShouldStop(128);
 BA.debugLineNum = 106;BA.debugLine="Dim r,s As Boolean";
Debug.ShouldStop(512);
_r = false;
_s = false;
 BA.debugLineNum = 107;BA.debugLine="Dim a As Int";
Debug.ShouldStop(1024);
_a = 0;
 BA.debugLineNum = 108;BA.debugLine="s = myWifi.ABGetLocation(\"myWifi\")";
Debug.ShouldStop(2048);
_s = mostCurrent._mywifi.ABGetLocation(processBA,"myWifi");
 BA.debugLineNum = 112;BA.debugLine="r = myWifi.ABLoadWifi()";
Debug.ShouldStop(32768);
_r = mostCurrent._mywifi.ABLoadWifi(processBA);
 BA.debugLineNum = 114;BA.debugLine="If r = True Then  '  PUT A BREAK POINT";
Debug.ShouldStop(131072);
if (_r==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 116;BA.debugLine="LblCurrentWifiInfo.Text = myWifi.ABGetCurrentWifiInfo().SSID '  NOT DATA";
Debug.ShouldStop(524288);
mostCurrent._lblcurrentwifiinfo.setText((Object)(mostCurrent._mywifi.ABGetCurrentWifiInfo().SSID));
 BA.debugLineNum = 118;BA.debugLine="For a = 0 To myWifi.ABNumberOfAvailableWifiNetworks - 1";
Debug.ShouldStop(2097152);
{
final int step60 = 1;
final int limit60 = (int) ((double)(BA.ObjectToNumber(mostCurrent._mywifi.ABNumberOfAvailableWifiNetworks()))-1);
for (_a = (int) (0); (step60 > 0 && _a <= limit60) || (step60 < 0 && _a >= limit60); _a = ((int)(0 + _a + step60))) {
 BA.debugLineNum = 120;BA.debugLine="WifiNetwork.Text = myWifi.ABGetWifiNetwork(a).SSID & \" \" & myWifi.ABGetWifiNetwork(a).Level '  DATA OK";
Debug.ShouldStop(8388608);
mostCurrent._wifinetwork.setText((Object)(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).SSID+" "+BA.ObjectToString(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).Level)));
 }
};
 }else {
 BA.debugLineNum = 127;BA.debugLine="Msgbox (myWifi.ABWifiLastError(), \"\")";
Debug.ShouldStop(1073741824);
anywheresoftware.b4a.keywords.Common.Msgbox(mostCurrent._mywifi.ABWifiLastError(),"",mostCurrent.activityBA);
 };
 BA.debugLineNum = 131;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 16214, new int[] {6}, "af1362b6-30be-45dd-82fd-4f4853ab747e");}

    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 14;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 15;BA.debugLine="Dim myWifi As ABWifi";
mostCurrent._mywifi = new com.AB.ABWifi.ABWifi();
 //BA.debugLineNum = 17;BA.debugLine="Dim Button1, Button2, Button3 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private EditText2 As EditText";
mostCurrent._edittext2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Private EditText3 As EditText";
mostCurrent._edittext3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private EditText4 As EditText";
mostCurrent._edittext4 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim r,s As Boolean";
_r = false;
_s = false;
 //BA.debugLineNum = 25;BA.debugLine="Dim a As Int";
_a = 0;
 //BA.debugLineNum = 26;BA.debugLine="s = myWifi.ABGetLocation(\"myWifi\")";
_s = mostCurrent._mywifi.ABGetLocation(processBA,"myWifi");
 //BA.debugLineNum = 27;BA.debugLine="Dim ResLocation As ABFoundLocation";
mostCurrent._reslocation = new com.AB.ABWifi.ABWifi.ABFoundLocation();
 //BA.debugLineNum = 28;BA.debugLine="ResLocation = myWifi.ABGetFoundLocation()";
mostCurrent._reslocation = mostCurrent._mywifi.ABGetFoundLocation();
 //BA.debugLineNum = 31;BA.debugLine="Private l1 As Label";
mostCurrent._l1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private l2 As Label";
mostCurrent._l2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private l3 As Label";
mostCurrent._l3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private l4 As Label";
mostCurrent._l4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Private l5 As Label";
mostCurrent._l5 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Private T1 As EditText";
mostCurrent._t1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Private T2 As EditText";
mostCurrent._t2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Private T3 As EditText";
mostCurrent._t3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim LblCurrentWifiInfo, WifiNetwork As Label";
mostCurrent._lblcurrentwifiinfo = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._wifinetwork = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 45;BA.debugLine="End Sub";
return "";
}
public static String  _mywifi_foundlocation() throws Exception{
try {
		Debug.PushSubsStack("myWifi_FoundLocation (main) ","main",0,mostCurrent.activityBA,mostCurrent,166);
 BA.debugLineNum = 166;BA.debugLine="Sub myWifi_FoundLocation ()";
Debug.ShouldStop(32);
 BA.debugLineNum = 170;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 10;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 11;BA.debugLine="Dim timer1 As Timer";
_timer1 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 12;BA.debugLine="End Sub";
return "";
}
public static String  _wifi_tick() throws Exception{
try {
		Debug.PushSubsStack("wifi_Tick (main) ","main",0,mostCurrent.activityBA,mostCurrent,133);
 BA.debugLineNum = 133;BA.debugLine="Sub wifi_Tick";
Debug.ShouldStop(16);
 BA.debugLineNum = 135;BA.debugLine="Dim r,s As Boolean";
Debug.ShouldStop(64);
_r = false;
_s = false;
 BA.debugLineNum = 136;BA.debugLine="Dim a As Int";
Debug.ShouldStop(128);
_a = 0;
 BA.debugLineNum = 137;BA.debugLine="s = myWifi.ABGetLocation(\"myWifi\")";
Debug.ShouldStop(256);
_s = mostCurrent._mywifi.ABGetLocation(processBA,"myWifi");
 BA.debugLineNum = 141;BA.debugLine="r = myWifi.ABLoadWifi()";
Debug.ShouldStop(4096);
_r = mostCurrent._mywifi.ABLoadWifi(processBA);
 BA.debugLineNum = 143;BA.debugLine="If r = True Then";
Debug.ShouldStop(16384);
if (_r==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 145;BA.debugLine="T1.Text=myWifi.ABGetCurrentWifiInfo().SSID";
Debug.ShouldStop(65536);
mostCurrent._t1.setText((Object)(mostCurrent._mywifi.ABGetCurrentWifiInfo().SSID));
 BA.debugLineNum = 146;BA.debugLine="T2.Text=\"Number of available networks: \" & myWifi.ABNumberOfAvailableWifiNetworks";
Debug.ShouldStop(131072);
mostCurrent._t2.setText((Object)("Number of available networks: "+BA.ObjectToString(mostCurrent._mywifi.ABNumberOfAvailableWifiNetworks())));
 BA.debugLineNum = 148;BA.debugLine="For a = 0 To myWifi.ABNumberOfAvailableWifiNetworks - 1";
Debug.ShouldStop(524288);
{
final int step75 = 1;
final int limit75 = (int) ((double)(BA.ObjectToNumber(mostCurrent._mywifi.ABNumberOfAvailableWifiNetworks()))-1);
for (_a = (int) (0); (step75 > 0 && _a <= limit75) || (step75 < 0 && _a >= limit75); _a = ((int)(0 + _a + step75))) {
 BA.debugLineNum = 151;BA.debugLine="T3.Text= myWifi.ABGetWifiNetwork(a).SSID & \" \" & myWifi.ABGetWifiNetwork(a).Level";
Debug.ShouldStop(4194304);
mostCurrent._t3.setText((Object)(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).SSID+" "+BA.ObjectToString(mostCurrent._mywifi.ABGetWifiNetwork((java.lang.Integer)(_a)).Level)));
 }
};
 }else {
 BA.debugLineNum = 158;BA.debugLine="If myWifi.ABWifiLastError() <> \"\" Then";
Debug.ShouldStop(536870912);
if ((mostCurrent._mywifi.ABWifiLastError()).equals("") == false) { 
 BA.debugLineNum = 159;BA.debugLine="Msgbox (myWifi.ABWifiLastError(), \"\")";
Debug.ShouldStop(1073741824);
anywheresoftware.b4a.keywords.Common.Msgbox(mostCurrent._mywifi.ABWifiLastError(),"",mostCurrent.activityBA);
 }else {
 BA.debugLineNum = 161;BA.debugLine="Msgbox (\"Unknown error\", \"\")";
Debug.ShouldStop(1);
anywheresoftware.b4a.keywords.Common.Msgbox("Unknown error","",mostCurrent.activityBA);
 };
 };
 BA.debugLineNum = 164;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
